Package org.opensaml.soap.soap12

# Interface EncodingStyleBearing

public interface EncodingStyleBearing
Interface for element having a `@soap12:encodingStyle` attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SOAP12_ENCODING_STYLE_ATTR_LOCAL_NAME`
The soap12:@encodingStyle attribute local name.
`static final QName`
`SOAP12_ENCODING_STYLE_ATTR_NAME`
The soap12:@encodingStyle qualified attribute name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getSOAP12EncodingStyle()`
Get the attribute value.
`void`
`setSOAP12EncodingStyle(String newEncodingStyle)`
Set the attribute value.

## Field Details

### SOAP12_ENCODING_STYLE_ATTR_LOCAL_NAME

@Nonnull @NotEmpty static final String SOAP12_ENCODING_STYLE_ATTR_LOCAL_NAME
The soap12:@encodingStyle attribute local name.

See Also:
  - Constant Field Values

### SOAP12_ENCODING_STYLE_ATTR_NAME

@Nonnull static final QName SOAP12_ENCODING_STYLE_ATTR_NAME
The soap12:@encodingStyle qualified attribute name.

## Method Details

### getSOAP12EncodingStyle

@Nullable String getSOAP12EncodingStyle()
Get the attribute value.

Returns:
  return the attribute value

### setSOAP12EncodingStyle

void setSOAP12EncodingStyle(@Nullable String newEncodingStyle)
Set the attribute value.

Parameters:
  `newEncodingStyle` - the new attribute value